###############################################################################
# Copyright (c) 2000-2025 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#   Szabo, Bence Janos
#
###############################################################################
[MODULE_PARAMETERS]
# This section shall contain the values of all parameters that are defined in your TTCN-3 modules.

[LOGGING]
# In this section you can specify the name of the log file and the classes of events
# you want to log into the file or display on console (standard error).
#LogFile := "logs/kakukk.log"
LogFile := "logs/%e.%h-%r.%s"
FileMask := LOG_ALL | DEBUG | MATCHING
ConsoleMask := ERROR | WARNING | TESTCASE | STATISTICS | PORTEVENT
LogSourceInfo := Yes
AppendFile := No
TimeStampFormat := DateTime
LogEventTypes := Yes
SourceInfoFormat := Single
LogEntityName := Yes

[TESTPORT_PARAMETERS]
# In this section you can specify parameters that are passed to Test Ports.

[DEFINE]
# In this section you can create macro definitions,
# that can be used in other configuration file sections except [INCLUDE].

[INCLUDE]
# To use configuration settings given in other configuration files,
# the configuration files just need to be listed in this section, with their full or relative pathnames.

[EXTERNAL_COMMANDS]
# This section can define external commands (shell scripts) to be executed by the ETS
# whenever a control part or test case is started or terminated.

#BeginTestCase := ""
#EndTestCase := ""
#BeginControlPart := ""
#EndControlPart := ""

[EXECUTE]
JsonTestcases.control
AttributeTestcases.control
#Testcases.tc_charstring_ascii_basic_long
#Testcases.tc_charstring_ascii_basic_long_const
#Testcases.tc_charstring_ascii_basic_punctuation
#Testcases.tc_charstring_ascii_basic_escapes
#Testcases.tc_ucharstring_ascii_basic_long
#Testcases.tc_ucharstring_ascii_basic_escapes
#Testcases.tc_charstring_ascii_extended1_xer
#Testcases.tc_ucharstring_higherplanes
#Testcases.tc_octetstring
#Testcases.tc_hexstring
#Testcases.tc_bitstring
#Testcases.tc_verdicttype
#Testcases.tc_float
#Testcases.tc_enum
#Testcases.tc_record_empty
#Testcases.tc_record
#Testcases.tc_record_modulepar
#Testcases.tc_record_const
#Testcases.tc_recordofinteger_empty
#Testcases.tc_recordofinteger_short
#Testcases.tc_recordofinteger_long
#Testcases.tc_recordoffloat_empty
#Testcases.tc_recordoffloat_short
#Testcases.tc_recordofCS_empty
#Testcases.tc_recordofCS_short
#AttributeTestcases.tc_NoAttributeOnUpperLevel
#AttributeTestcases.tc_name_as_omit_as_null
#AttributeTestcases.tc_name_as
#AttributeTestcases.tc_attribute_compactprint1
#AttributeTestcases.tc_attribute_compactprint2
#AttributeTestcases.tc_attribute_compactprintp
#AttributeTestcases.tc_attribute_prettyprint1
#AttributeTestcases.tc_attribute_prettyprint2
#AttributeTestcases.tc_attribute_union
Cbor.control
Bson.control
[GROUPS]
# In this section you can specify groups of hosts. These groups can be used inside the
# [COMPONENTS] section to restrict the creation of certain PTCs to a given set of hosts.

[COMPONENTS]
# This section consists of rules restricting the location of created PTCs.

[MAIN_CONTROLLER]
# The options herein control the behavior of MC.

TCPPort := 0
KillTimer := 10.0
# NumHCs := 0
# LocalAddress := 
